$(function (){
	try {
		$('#htmlMarkBox div').css({"width":"110px","float":"left"});
		CheckPageMode();
		CheckHighSet();	
	}catch (e) {}

	try {
		CheckHrefURL();
		CheckImgCode();
		CheckImgURL();
	}catch (e) {}

	try {
		CheckConPage();
		CheckConHrefURL();
		CheckTime();
		CheckWriter();
		CheckSource();
		CheckKey();
	}catch (e) {}

	WindowHeight(0);

});


// 检测表单
function CheckForm(){
	if ($id('theme').value==""){alert("项目名称不能为空.");$id('theme').focus();return false}
	if ($id('infoTypeStr').value==""){alert("请选择栏目.");$id('infoTypeStr').focus();return false}
	if ($id('webURL').value==""){alert("采集网址URL不能为空.");$id('webURL').focus();return false}
	var judPageMore=judPageList=judPageCode=false;
	for (var i=0; i<$name('pageMode').length; i++){
		if ($name('pageMode')[i].checked){
			if ($name('pageMode')[i].value=="more"){
				judPageMore=true;
			}else if ($name('pageMode')[i].value=="list"){
				judPageList=true;
			}else if ($name('pageMode')[i].value=="code"){
				judPageCode=true;
			}
		}
	}
	if (judPageMore==true){
		if ($id('pageURL').value==""){alert("批量生成网址不能为空.");$id('pageURL').focus();return false}
		if ($id('pageNum1').value==""){alert("批量范围头不能为空.");$id('pageNum1').focus();return false}
		if ($id('pageNum2').value==""){alert("批量范围尾不能为空.");$id('pageNum2').focus();return false}
	}
	if (judPageList==true){
		if ($id('pageList').value==""){alert("手动添加框不能为空.");$id('pageList').focus();return false}
	}
	if (judPageCode==true){
		if ($id('pageCode1').value==""){alert("分页开始代码不能为空.");$id('pageCode1').focus();return false}
		if ($id('pageCode2').value==""){alert("分页结束代码不能为空.");$id('pageCode2').focus();return false}
	}
	return true
}


// 检测表单
function CheckStep1Form(){
	if ($id('listCode1').value==""){alert("列表开始代码不能为空.");$id('listCode1').focus();return false}
	if ($id('listCode2').value==""){alert("列表结束代码不能为空.");$id('listCode2').focus();return false}
	if ($id('hrefCode1').value==""){alert("链接开始代码不能为空.");$id('hrefCode1').focus();return false}
	if ($id('hrefCode2').value==""){alert("链接结束代码不能为空.");$id('hrefCode2').focus();return false}
	var judHrefUrl=false;
	for (var i=0; i<$name('isHrefURL').length; i++){
		if ($name('isHrefURL')[i].checked){
			if ($name('isHrefURL')[i].value=="1"){
				judHrefUrl=true;
			}
		}
	}
	if (judHrefUrl==true){
		if ($id('hrefURL').value==""){alert("重定链接地址不能为空.");$id('hrefURL').focus();return false}
	}
	var judImgCode=false;
	for (var i=0; i<$name('isImg').length; i++){
		if ($name('isImg')[i].checked){
			if ($name('isImg')[i].value=="1"){
				judImgCode=true;
			}
		}
	}
	if (judImgCode==true){
		if ($id('imgCode1').value==""){alert("列表小图开始代码不能为空.");$id('imgCode1').focus();return false}
		if ($id('imgCode2').value==""){alert("列表小图结束代码不能为空.");$id('imgCode2').focus();return false}
	}
	var judImgUrl=false;
	for (var i=0; i<$name('isImgURL').length; i++){
		if ($name('isImgURL')[i].checked){
			if ($name('isImgURL')[i].value=="1"){
				judImgUrl=true;
			}
		}
	}
	if (judImgUrl==true){
		if ($id('imgURL').value==""){alert("重定小图链接地址不能为空.");$id('imgURL').focus();return false}
	}
	return true
}


// 检测表单
function CheckStep2Form(){
	if ($id('themeCode1').value==""){alert("标题开始代码不能为空.");$id('themeCode1').focus();return false}
	if ($id('themeCode2').value==""){alert("标题结束代码不能为空.");$id('themeCode2').focus();return false}
	if ($id('contentCode1').value==""){alert("正文开始代码不能为空.");$id('contentCode1').focus();return false}
	if ($id('contentCode2').value==""){alert("正文结束代码不能为空.");$id('contentCode2').focus();return false}
	var judConPage=false;
	for (var i=0; i<$name('isConPage').length; i++){
		if ($name('isConPage')[i].checked){
			if ($name('isConPage')[i].value=="1"){
				judConPage=true;
			}
		}
	}
	if (judConPage==true){
		if ($id('conPageCode1').value==""){alert("分页开始代码不能为空.");$id('conPageCode1').focus();return false}
		if ($id('conPageCode2').value==""){alert("分页结束代码不能为空.");$id('conPageCode2').focus();return false}
		if ($id('conHrefCode1').value==""){alert("分页链接开始代码不能为空.");$id('conHrefCode1').focus();return false}
		if ($id('conHrefCode2').value==""){alert("分页链接结束代码不能为空.");$id('conHrefCode2').focus();return false}
		var judConHrefUrl=false;
		for (var i=0; i<$name('isConHrefURL').length; i++){
			if ($name('isConHrefURL')[i].checked){
				if ($name('isConHrefURL')[i].value=="1"){
					judConHrefUrl=true;
				}
			}
		}
		if (judConHrefUrl==true){
			if ($id('conHrefURL').value==""){alert("重定分页链接地址不能为空.");$id('conHrefURL').focus();return false}
		}
	}
	var judTime=false;
	for (var i=0; i<$name('isTime').length; i++){
		if ($name('isTime')[i].checked){
			if ($name('isTime')[i].value=="1"){
				judTime=true;
			}
		}
	}
	if (judTime==true){
		if ($id('timeCode1').value==""){alert("时间开始代码不能为空.");$id('timeCode1').focus();return false}
		if ($id('timeCode2').value==""){alert("时间结束代码不能为空.");$id('timeCode2').focus();return false}
	}
	var judWriter=judWriter2=false;
	for (var i=0; i<$name('isWriter').length; i++){
		if ($name('isWriter')[i].checked){
			if ($name('isWriter')[i].value=="1"){
				judWriter=true;
			}else if ($name('isWriter')[i].value=="2"){
				judWriter2=true;
			}
		}
	}
	if (judWriter==true){
		if ($id('writerCode1').value==""){alert("作者开始代码不能为空.");$id('writerCode1').focus();return false}
		if ($id('writerCode2').value==""){alert("作者结束代码不能为空.");$id('writerCode2').focus();return false}
	}else if (judWriter2==true){
		if ($id('writerName').value==""){alert("指定作者不能为空.");$id('writerName').focus();return false}
	}
	var judSource=judSource2=false;
	for (var i=0; i<$name('isSource').length; i++){
		if ($name('isSource')[i].checked){
			if ($name('isSource')[i].value=="1"){
				judSource=true;
			}else if ($name('isSource')[i].value=="2"){
				judSource2=true;
			}
		}
	}
	if (judSource==true){
		if ($id('sourceCode1').value==""){alert("来源开始代码不能为空.");$id('sourceCode1').focus();return false}
		if ($id('sourceCode2').value==""){alert("来源结束代码不能为空.");$id('sourceCode2').focus();return false}
	}else if (judSource2==true){
		if ($id('sourceName').value==""){alert("指定来源不能为空.");$id('sourceName').focus();return false}
	}
	var judKey=judKey2=false;
	for (var i=0; i<$name('isKey').length; i++){
		if ($name('isKey')[i].checked){
			if ($name('isKey')[i].value=="1"){
				judKey=true;
			}else if ($name('isKey')[i].value=="2"){
				judKey2=true;
			}
		}
	}
	if (judKey==true){
		if ($id('keyCode1').value==""){alert("关键字词开始代码不能为空.");$id('keyCode1').focus();return false}
		if ($id('keyCode2').value==""){alert("关键字词结束代码不能为空.");$id('keyCode2').focus();return false}
	}else if (judKey2==true){
		if ($id('keyName').value==""){alert("指定关键字词不能为空.");$id('keyName').focus();return false}
	}
	return true
}


// 检测分页/多页设置
function CheckPageMode(){
	var judPageMore=judPageList=judPageCode=false;
	for (var i=0; i<$name('pageMode').length; i++){
		if ($name('pageMode')[i].checked){
			if ($name('pageMode')[i].value=="more"){
				judPageMore=true;
			}else if ($name('pageMode')[i].value=="list"){
				judPageList=true;
			}else if ($name('pageMode')[i].value=="code"){
				judPageCode=true;
			}
		}
	}
	if (judPageMore==true){
		$id('pageMode_more').style.display='';
	}else{
		$id('pageMode_more').style.display='none';
	}
	if (judPageList==true){
		$id('pageMode_list').style.display='';
	}else{
		$id('pageMode_list').style.display='none';
	}
	if (judPageCode==true){
		$id('pageMode_code').style.display='';
	}else{
		$id('pageMode_code').style.display='none';
	}

	WindowHeight(0);
}

// 检测高级设置
function CheckHighSet(){
	var isHighBox=false;
	for (var i=0; i<$name('isHighSet').length; i++){
		if ($name('isHighSet')[i].checked){
			if ($name('isHighSet')[i].value=="1"){
				isHighBox=true;
			}
		}
	}
	if (isHighBox==true){
		$id('highSetBox').style.display='';
	}else{
		$id('highSetBox').style.display='none';
	}

	WindowHeight(0);
}




// 检测源代码区
function CheckIsSourceCodeBox(){
	if ($id('isSourceCode').checked){
		return "1";
	}else{
		return "0";
	}
}


// 检测源代码区
function CheckSourceCodeBox(){
	var isSourceBox=false;
	for (var i=0; i<$name('isCode').length; i++){
		if ($name('isCode')[i].checked){
			if ($name('isCode')[i].value=="1"){
				isSourceBox=true;
			}
		}
	}
	if (isSourceBox==true){
		$id('sourceCodeBox').style.display='';
	}else{
		$id('sourceCodeBox').style.display='none';
	}
	WindowHeight(0);
}

// 检测重新链接设置
function CheckHrefURL(){
	var isHrefBox=false;
	for (var i=0; i<$name('isHrefURL').length; i++){
		if ($name('isHrefURL')[i].checked){
			if ($name('isHrefURL')[i].value=="1"){
				isHrefBox=true;
			}
		}
	}
	if (isHrefBox==true){
		$id('hrefUrlBox').style.display='';
	}else{
		$id('hrefUrlBox').style.display='none';
	}

	WindowHeight(0);
}

// 检测列表小图设置
function CheckImgCode(){
	var isImgBox=false;
	for (var i=0; i<$name('isImg').length; i++){
		if ($name('isImg')[i].checked){
			if ($name('isImg')[i].value=="1"){
				isImgBox=true;
			}
		}
	}
	if (isImgBox==true){
		$id('imgCodeBox').style.display='';
	}else{
		$id('imgCodeBox').style.display='none';
	}

	WindowHeight(0);
}

// 检测列表小图重定链接设置
function CheckImgURL(){
	var isImgBox=false;
	for (var i=0; i<$name('isImgURL').length; i++){
		if ($name('isImgURL')[i].checked){
			if ($name('isImgURL')[i].value=="1"){
				isImgBox=true;
			}
		}
	}
	if (isImgBox==true){
		$id('imgUrlBox').style.display='';
	}else{
		$id('imgUrlBox').style.display='none';
	}

	WindowHeight(0);
}


// 正文分页
function CheckConPage(){
	var isPageBox=false;
	for (var i=0; i<$name('isConPage').length; i++){
		if ($name('isConPage')[i].checked){
			if ($name('isConPage')[i].value=="1" || $name('isConPage')[i].value=="2"){
				isPageBox=true;
			}
		}
	}
	if (isPageBox==true){
		$id('conPageBox').style.display='';
	}else{
		$id('conPageBox').style.display='none';
	}

	WindowHeight(0);
}

// 检测重新正文分页设置
function CheckConHrefURL(){
	var isConHrefUrlBox=false;
	for (var i=0; i<$name('isConHrefURL').length; i++){
		if ($name('isConHrefURL')[i].checked){
			if ($name('isConHrefURL')[i].value=="1"){
				isConHrefUrlBox=true;
			}
		}
	}
	if (isConHrefUrlBox==true){
		$id('conHrefUrlBox').style.display='';
	}else{
		$id('conHrefUrlBox').style.display='none';
	}

	WindowHeight(0);
}

// 时间设置
function CheckTime(){
	var isTimeBox=false;
	for (var i=0; i<$name('isTime').length; i++){
		if ($name('isTime')[i].checked){
			if ($name('isTime')[i].value=="1"){
				isTimeBox=true;
			}
		}
	}
	if (isTimeBox==true){
		$id('timeBox').style.display='';
	}else{
		$id('timeBox').style.display='none';
	}

	WindowHeight(0);
}

// 作者设置
function CheckWriter(){
	var isWriterBox=isWriter2Box=false;
	for (var i=0; i<$name('isWriter').length; i++){
		if ($name('isWriter')[i].checked){
			if ($name('isWriter')[i].value=="1"){
				isWriterBox=true;
			}else if ($name('isWriter')[i].value=="2"){
				isWriter2Box=true;
			}
		}
	}
	if (isWriterBox==true){
		$id('writerBox').style.display='';
	}else{
		$id('writerBox').style.display='none';
	}
	if (isWriter2Box==true){
		$id('writer2Box').style.display='';
	}else{
		$id('writer2Box').style.display='none';
	}

	WindowHeight(0);
}

// 来源设置
function CheckSource(){
	var isSourceBox=isSource2Box=false;
	for (var i=0; i<$name('isSource').length; i++){
		if ($name('isSource')[i].checked){
			if ($name('isSource')[i].value=="1"){
				isSourceBox=true;
			}else if ($name('isSource')[i].value=="2"){
				isSource2Box=true;
			}
		}
	}
	if (isSourceBox==true){
		$id('sourceBox').style.display='';
	}else{
		$id('sourceBox').style.display='none';
	}
	if (isSource2Box==true){
		$id('source2Box').style.display='';
	}else{
		$id('source2Box').style.display='none';
	}

	WindowHeight(0);
}

// 关键字词设置
function CheckKey(){
	var isKeyBox=isKey2Box=false;
	for (var i=0; i<$name('isKey').length; i++){
		if ($name('isKey')[i].checked){
			if ($name('isKey')[i].value=="1"){
				isKeyBox=true;
			}else if ($name('isKey')[i].value=="2"){
				isKey2Box=true;
			}
		}
	}
	if (isKeyBox==true){
		$id('keyBox').style.display='';
	}else{
		$id('keyBox').style.display='none';
	}
	if (isKey2Box==true){
		$id('key2Box').style.display='';
	}else{
		$id('key2Box').style.display='none';
	}

	WindowHeight(0);
}






// 列表表单
function CheckListForm2(str){
	var selNum = 0;
	for (var i=0;i<$name("selDataID").length;i++){
		if ($name("selDataID")[i].checked){
			selNum ++;
		}
	}

	switch (str){
		case "del":
			if (selNum==0){
				alert('请先选择要删除的记录.');return false;
			}
			if (confirm("你确定要进行批量删除？")==false){
				return false;
			}
			$id('listForm').action="collItem_deal.asp?mudi=moreDel";
			$id('listForm').submit();
			break;

		case "run":
			if (selNum==0){
				alert('请先选择要采集的项目.');return false;
			}
			if (confirm("你确定要进行批量采集？")==false){
				return false;
			}
			$id('listForm').action="collRun.asp?mudi=start";
			$id('listForm').submit();
			break;

		default:

	
	}
}